Skip to main content
GET
/
v1
/
groups
/
{id}
/
balances
Get group balances
curl --request GET \
  --url https://api.scrip.dev/v1/groups/{id}/balances \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "asset_id": "550e8400-e29b-41d4-a716-446655440001",
      "balance": "1500.00"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "YWJjMTIz"
  }
}
Returns all balances for a group as a map of asset ID to total balance amount. Use the optional program_id query parameter to filter balances to a specific program. To move balance between buckets, use the hold, release, and forfeit endpoints.
For usage patterns and examples, see the Balance Operations guide.

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header.

Path Parameters

id
string<uuid>
required

Group ID

Query Parameters

program_id
string<uuid>

Filter by program ID

Response

Group balances

data
object[]

Asset balance entries

pagination
object

Pagination metadata for list responses